package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.TaAgreement;

import java.util.List;

/**
 * version V1.0
 * class_name: $METHOD_NAME$
 * param: $METHOD_PARAM$
 * describe: TODO
 * creat_user:fannaixi
 * creat_time: 2018/10/22
 **/
public interface AgreementServicel {
    int deleteByPrimaryKey(Integer id);

    int insert(TaAgreement record);

    int insertSelective(TaAgreement record);

    TaAgreement selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TaAgreement record);

    int updateByPrimaryKey(TaAgreement record);

    TaAgreement getAgreement();

    /**
     * 物业电话/门卫电话/领导电话
     *
     * @param userElement
     * @return
     */
    ResponseBean getTpAnnouncementTel(UserElement userElement);
}
